| Home | Libraries | People | FAQ | More

## Struct template equality_comparable

boost::type_erasure::equality_comparable

## Synopsis

    // In header: <boost/type_erasure/operators.hpp>

    template<typename T = _self, typename U = T>
    struct equality_comparable {

      // public static functions
      static bool apply(const T &, const U &);
    };

## Description

### `equality_comparable` public static functions

1.     static bool apply(const T & lhs, const U & rhs);